LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XChartTypeContainer Interface Reference

`import"XChartTypeContainer.idl";`

Inheritance diagram for XChartTypeContainer:

## Public Member Functions
void | addChartType ([in] XChartType aChartType) raises ( com::sun::star::lang::IllegalArgumentException )
| add a chart type to the chart type container More...
void | removeChartType ([in] XChartType aChartType) raises ( com::sun::star::container::NoSuchElementException )
| removes one data series from the chart type container. More...
sequence< XChartType > | getChartTypes ()
| retrieve all chart types More...
void | setChartTypes ([in] sequence< XChartType > aChartTypes) raises ( com::sun::star::lang::IllegalArgumentException )
| set all chart types More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addChartType()

void addChartType | ( | [in] XChartType | aChartType | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

add a chart type to the chart type container

Exceptions

  IllegalArgumentException | If the given chart type is already contained in the chart type container.

## ◆ getChartTypes()

sequence< XChartType > getChartTypes | ( |  | ) |

retrieve all chart types

## ◆ removeChartType()

void removeChartType | ( | [in] XChartType | aChartType | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes one data series from the chart type container.

## ◆ setChartTypes()

void setChartTypes | ( | [in] sequence< XChartType > | aChartTypes | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

set all chart types

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XChartTypeContainer.idl